LPCOpen Platform for LPC18XX/43XX microcontrollers: LPC_LCD_T Struct Reference

| LPCOpen Platform for LPC18XX/43XX microcontrollers 18XX43XX LPCOpen Platform for the NXP LPC18XX/43XX family of Microcontrollers

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
LPC_LCD_T Struct Reference
CHIP: LPC18xx/43xx LCD driver

## Detailed Description

LCD Controller register block structure.

Definition at line 47 of file lcd_18xx_43xx.h.

`#include "lcd_18xx_43xx.h"`

## Data Fields
__IO uint32_t | TIMH
__IO uint32_t | TIMV
__IO uint32_t | POL
__IO uint32_t | LE
__IO uint32_t | UPBASE
__IO uint32_t | LPBASE
__IO uint32_t | CTRL
__IO uint32_t | INTMSK
__I uint32_t | INTRAW
__I uint32_t | INTSTAT
__O uint32_t | INTCLR
__I uint32_t | UPCURR
__I uint32_t | LPCURR
__I uint32_t | RESERVED0 [115]
__IO uint16_t | PAL [256]
__I uint32_t | RESERVED1 [256]
__IO uint32_t | CRSR_IMG [256]
__IO uint32_t | CRSR_CTRL
__IO uint32_t | CRSR_CFG
__IO uint32_t | CRSR_PAL0
__IO uint32_t | CRSR_PAL1
__IO uint32_t | CRSR_XY
__IO uint32_t | CRSR_CLIP
__I uint32_t | RESERVED2 [2]
__IO uint32_t | CRSR_INTMSK
__O uint32_t | CRSR_INTCLR
__I uint32_t | CRSR_INTRAW
__I uint32_t | CRSR_INTSTAT

## Field Documentation

__IO uint32_t CRSR_CFG

Cursor Configuration register

Definition at line 66 of file lcd_18xx_43xx.h.

__IO uint32_t CRSR_CLIP

Cursor Clip Position register

Definition at line 70 of file lcd_18xx_43xx.h.

__IO uint32_t CRSR_CTRL

Cursor Control register

Definition at line 65 of file lcd_18xx_43xx.h.

__IO uint32_t CRSR_IMG[256]

Cursor Image registers

Definition at line 64 of file lcd_18xx_43xx.h.

__O uint32_t CRSR_INTCLR

Cursor Interrupt Clear register

Definition at line 73 of file lcd_18xx_43xx.h.

__IO uint32_t CRSR_INTMSK

Cursor Interrupt Mask register

Definition at line 72 of file lcd_18xx_43xx.h.

__I uint32_t CRSR_INTRAW

Cursor Raw Interrupt Status register

Definition at line 74 of file lcd_18xx_43xx.h.

__I uint32_t CRSR_INTSTAT

Cursor Masked Interrupt Status register

Definition at line 75 of file lcd_18xx_43xx.h.

__IO uint32_t CRSR_PAL0

Cursor Palette register 0

Definition at line 67 of file lcd_18xx_43xx.h.

__IO uint32_t CRSR_PAL1

Cursor Palette register 1

Definition at line 68 of file lcd_18xx_43xx.h.

__IO uint32_t CRSR_XY

Cursor XY Position register

Definition at line 69 of file lcd_18xx_43xx.h.

__IO uint32_t CTRL

LCD Control register

Definition at line 54 of file lcd_18xx_43xx.h.

__O uint32_t INTCLR

Interrupt Clear register

Definition at line 58 of file lcd_18xx_43xx.h.

__IO uint32_t INTMSK

Interrupt Mask register

Definition at line 55 of file lcd_18xx_43xx.h.

__I uint32_t INTRAW

Raw Interrupt Status register

Definition at line 56 of file lcd_18xx_43xx.h.

__I uint32_t INTSTAT

Masked Interrupt Status register

Definition at line 57 of file lcd_18xx_43xx.h.

__IO uint32_t LE

Line End Control register

Definition at line 51 of file lcd_18xx_43xx.h.

__IO uint32_t LPBASE

Lower Panel Frame Base Address register

Definition at line 53 of file lcd_18xx_43xx.h.

__I uint32_t LPCURR

Lower Panel Current Address Value register

Definition at line 60 of file lcd_18xx_43xx.h.

__IO uint16_t PAL[256]

256x16-bit Color Palette registers

Definition at line 62 of file lcd_18xx_43xx.h.

__IO uint32_t POL

Clock and Signal Polarity Control register

Definition at line 50 of file lcd_18xx_43xx.h.

__I uint32_t RESERVED0[115]

Definition at line 61 of file lcd_18xx_43xx.h.

__I uint32_t RESERVED1[256]

Definition at line 63 of file lcd_18xx_43xx.h.

__I uint32_t RESERVED2[2]

Definition at line 71 of file lcd_18xx_43xx.h.

__IO uint32_t TIMH

< LCD Structure Horizontal Timing Control register

Definition at line 48 of file lcd_18xx_43xx.h.

__IO uint32_t TIMV

Vertical Timing Control register

Definition at line 49 of file lcd_18xx_43xx.h.

__IO uint32_t UPBASE

Upper Panel Frame Base Address register

Definition at line 52 of file lcd_18xx_43xx.h.

__I uint32_t UPCURR

Upper Panel Current Address Value register

Definition at line 59 of file lcd_18xx_43xx.h.

The documentation for this struct was generated from the following file:

- C:/w/lpcopen_docs/software/lpc_core/lpc_chip/chip_18xx_43xx/lcd_18xx_43xx.h